@import "src/app/shared/styles/variables/colors";

.course-card {
  padding: 32px;
  box-shadow: 0 0 4px rgb(0 0 0 / 25%);
  border-radius: 4px;
  border-left: 8px solid $color-dark-gray;
  display: flex;
  justify-content: space-between;
  margin: 32px 0;
  min-height: 170px;
  width: 80vw;
  background-color: $color-white;

  &__description {
    flex: 2;

    &-title {
      font-weight: bold;
      margin-bottom: 1rem;
    }
  }

  &__info {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-left: 50px;

    &-text {
      margin-top: 16px;

      .authors-span {
        padding-inline: .3rem;
      }
    }

    &-actions {
      display: flex;
      margin-right: .5rem;

      .course-card__buttons {
        display: flex;

        .btn {
          margin-inline: .5rem;
          border: none;
          border-radius: 5px;
          font-size: 2rem;
          background: transparent;
          color: #007298;
          cursor: pointer;

          &:hover{
            background: #016486;
            color: white;
          }
        }
      }
      a {
        text-align: center;
        padding: .5rem;
        border-radius: 5px;
        font-size: 2rem;
        background: transparent;
        color: #016486;
        text-transform: uppercase;
        cursor: pointer;
        text-decoration: none;
    
        &:hover {
            background: #016486;
             color: white;
        }
    
        &:focus {
            background: #016486;
             color: white;
        }
    
        &:active {
            background: #016486;
             color: white;
        }
      }
    }
  }
  
}
